/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.test.performance.reporting.model;

import org.eclipse.birt.test.performance.reporting.xml.XMLReportVisitor;

public class ReportDesignNode extends BaseNode
{

	private String id = null;
	private String fileName = null;

	public ReportDesignNode( String id, String fileName )
	{
		this.id = id;
		this.fileName = fileName;
	}

	public ReportDesignNode( )
	{
	}

	/**
	 * @return Returns the fileName.
	 */
	public String getFileName( )
	{
		return fileName;
	}

	/**
	 * @param fileName
	 *            The fileName to set.
	 */
	public void setFileName( String fileName )
	{
		this.fileName = fileName;
	}

	/**
	 * @return Returns the id.
	 */
	public String getId( )
	{
		return id;
	}

	/**
	 * @param id
	 *            The id to set.
	 */
	public void setId( String id )
	{
		this.id = id;
	}

	public void accept( XMLReportVisitor visitor )
	{
		visitor.visit( this );
		
	}

}
